%global scrname xdg_base_dirs

Name:           python-xdg-base-dirs
Version:        6.0.1
Release:        1%{?dist}
Summary:        Variables defined by the XDG Base Directory Specification

License:        MIT
URL:            https://pypi.org/project/xdg-base-dirs/
Source0:        https://files.pythonhosted.org/packages/source/x/xdg_base_dirs/xdg_base_dirs-%{version}.tar.gz
Buildarch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%global _description \
xdg-base-dirs is a Python module that provides functions to return paths to the directories defined by the XDG Base \
Directory Specification, to save you from duplicating the same snippet of logic in every Python utility \
you write that deals with user cache, configuration, or data files. It has no external dependencies. 

%description %{_description}

%package -n python3-%{scrname}
Summary:        %{summary}

Requires:       python3
BuildArch:      noarch

%description -n python3-%{scrname}
%{_description}

%prep
%setup -q -n %{scrname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install

%files -n python3-%{scrname}
%{python3_sitelib}/%{scrname}
%{python3_sitelib}/%{scrname}-%{version}.dist-info/

%changelog
* Sat Jun 22 2024 josef radinger <cheese@nosuchhost.net> - 6.0.1-1
- initial release

